LocalMethod (JEL API)
Description: declaration: package: gnu.jel, class: LocalMethod

Package gnu.jel

# Class LocalMethod

java.lang.Object
gnu.jel.LocalField
gnu.jel.LocalMethod

All Implemented Interfaces:
  `java.lang.reflect.Member`

    public class LocalMethod
    extends LocalField

Represents a method local to the class being compiled.

- ## Field Summary

  ### Fields inherited from interface java.lang.reflect.Member

  `DECLARED, PUBLIC`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `LocalMethod​(int modifiers, java.lang.Class<?> type, java.lang.String name, java.lang.Class<?>[] paramTypes, java.lang.Class<?>[] exceptions)` | Constructs a new local method.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Class<?>[]` | `getExceptionTypes()` | Used to get checked exceptions thrown by this method
  `java.lang.Class<?>[]` | `getParameterTypes()` | Used to obtain types of formal parameters of this method.

  ### Methods inherited from class gnu.jel.LocalField

  `getConstValue, getDeclaringClass, getModifiers, getName, getType, isSynthetic`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LocalMethod

    public LocalMethod​(int modifiers, java.lang.Class<?> type, java.lang.String name, java.lang.Class<?>[] paramTypes, java.lang.Class<?>[] exceptions)
    Constructs a new local method.
    Parameters:
      `modifiers` - sum of one or more of `PUBLIC`, `PRIVATE`, `PROTECTED`,`STATIC`, `FINAL`, `SYNCHRONIZED`, `NATIVE`, `ABSTRACT` constants of java.lang.reflect.Modifier .
      `type` - type of the return value.
      `name` - name of the method
      `paramTypes` - array of types of formal parameters excluding "this" (null means no parameters).
      `exceptions` - checked exceptions thrown

- ## Method Details

  - ### getParameterTypes

    public java.lang.Class<?>[] getParameterTypes()
    Used to obtain types of formal parameters of this method.
    Returns:
      array of classes representing formal parameters of the method except "this"

  - ### getExceptionTypes

    public java.lang.Class<?>[] getExceptionTypes()
    Used to get checked exceptions thrown by this method
    Returns:
      array of checked exceptions